Direct IO Functions
dio_fcntl
Direct IO Functions
PHP Manual

# dio_close

(PHP 4 >= 4.2.0, PHP 5 <= 5.0.5, PHP 7)

dio_close — Closes the file descriptor given by fd

### Description

void dio_close ( resource `$fd` )

The function dio_close() closes the file descriptor `fd`.

### Parameters

`fd`

  The file descriptor returned by dio_open().

### Return Values

No value is returned.

### Examples

Example #1 Closing an open file descriptor

`<?php
$fd = dio_open('/dev/ttyS0', O_RDWR);
dio_close($fd);
?>`

### See Also

- dio_open() - Opens a file (creating it if necessary) at a lower level than the C library input/ouput stream functions allow.

Direct IO Functions
dio_fcntl
Direct IO Functions
PHP Manual